### Method

# WebKit XRPermissionRequest get_consent_required_features

since: 2.52

#### Declaration [src]

    WebKitXRSessionFeatures
    webkit_xr_permission_request_get_consent_required_features (
      WebKitXRPermissionRequest* request
    )

#### Description [src]

Gets the required features that need user consent.

These features are automatically granted if the request is allowed with webkit_permission_request_allow().

Available since: 2.52

#### Return value

Type: `WebKitXRSessionFeatures`

A `WebKitXRSessionFeatures` flag combination.